//
// str_helper_test.go
// Copyright (C) 2022 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package helper_test

import (
	"fmt"
	"testing"

	"git.hexq.cn/tiglog/golib/gtest"
	"git.hexq.cn/tiglog/golib/helper"
)

func TestIsString(t *testing.T) {
	v1 := 111
	r1 := helper.IsString(v1)
	gtest.False(t, r1)

	v2 := "hello"
	r2 := helper.IsString(v2)
	gtest.True(t, r2)
}

func TestRandString(t *testing.T) {
	r1 := helper.RandString(10)
	fmt.Println(r1)
	gtest.NotEqual(t, "", r1)
	gtest.Equal(t, 10, len(r1))
}

func TestUcFirst(t *testing.T) {
	v1 := "hello"
	r1 := helper.UcFirst(v1)
	gtest.Equal(t, "Hello", r1)

	v2 := "hello world"
	r2 := helper.UcFirst(v2)
	gtest.Equal(t, "Hello world", r2)

	v3 := "helloWorld"
	r3 := helper.UcFirst(v3)
	gtest.Equal(t, "HelloWorld", r3)
}

func TestSnake(t *testing.T) {
	s1 := "XxYy"
	r1 := helper.SnakeString(s1)
	gtest.Equal(t, "xx_yy", r1)
}

func TestCamel(t *testing.T) {
	s1 := "xx_yy"
	r1 := helper.CamelString(s1)
	gtest.Equal(t, "XxYy", r1)
}

func TestOrd(t *testing.T) {
	s := "中"
	r := helper.Ord(s)
	gtest.Equal(t, 20013, r)
}

func TestChr(t *testing.T) {
	r := helper.Chr(20013)
	gtest.Equal(t, "中", r)
}
